services:
  jellyfin:
    image: jellyfin/jellyfin
    container_name: jellyfin
    dns:
      - 8.8.8.8
      - 1.1.1.1
    user: "1000:1000"
    environment:
    - PUID=1000
    - PGID=1000
    group_add:
      - "992"
    devices:
      - /dev/dri:/dev/dri
    ports:
      - "8096:8096"
    volumes:
      - ./config:/config
      - ./cache:/cache
      - ./media:/media
      - /srv/docker/torrent/data/completed:/media2
    restart: unless-stopped
  # tdarr:
  #   image: ghcr.io/haveagitgat/tdarr:latest
  #   container_name: tdarr
  #   restart: unless-stopped
  #   ports:
  #     - 8265:8265  # Web UI
  #     - 8266:8266  # Server port (nodes connect here)
  #   environment:
  #     - PUID=1000
  #     - PGID=1000
  #     - TZ=Europe/Paris
  #     - UMASK_SET=002
  #     - serverIP=0.0.0.0
  #     - serverPort=8266
  #     - webUIPort=8265
  #     - internalNode=true        # <-- Runs a node inside the server container
  #     - inContainer=true
  #     - ffmpegVersion=7
  #     - nodeName=N150-Internal
  #   volumes:
  #     - ./server:/app/server     # Server database
  #     - ./configs:/app/configs   # Node configs
  #     - ./logs:/app/logs
  #     - /srv/docker/torrent/data/completed:/staging # Your media
  #     - ./media:/media
  #     - ./transcode_cache:/temp  # Temp space for transcoding
  #   devices:
  #     - /dev/dri:/dev/dri        # Quick Sync access
  #   group_add:
  #     - "992"                    # Render group for GPU access
